/***************************************************************************
 *   Copyright (C) 2005 by Patrick Steiner                                 *
 *   patrick.steiner a1.net                                                *
 *   Copyright (C) Serdar Ozler (Scumm.QPE)                                *
 *   sozler@sitebest.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef GAMELIST_H
#define GAMELIST_H

// !!!!!
// This file is constructed by using gameDetector.cpp file of ScummVM
// !!!!!

struct VersionSettings {
	const char *filename;
	const char *gamename;
};

/*
        This is a list of all known SCUMM games. Commented games are not
        supported at this time */

static const VersionSettings version_settings[] = {
	/* Scumm Version 3 */
	{"indy3", "Indiana Jones and the Last Crusade (256)"},
	{"zak256", "Zak McKracken and the Alien Mindbenders (256)"},
	{"loom", "Loom"},

	/* Scumm Version 4 */
	{"monkeyEGA", "Monkey Island 1 (EGA)"},	// EGA version

	/* Scumm version 5 */
	{"monkeyVGA", "Monkey Island 1 (256 color Floppy version)"},
	{"loomcd", "Loom (256 color CD version)"},
	{"monkey", "Monkey Island 1"},
	{"monkey1", "Monkey Island 1 (alt)"},
	{"monkey2", "Monkey Island 2: LeChuck's revenge"},
	{"atlantis", "Indiana Jones 4 and the Fate of Atlantis"},
	{"playfate", "Indiana Jones 4 and the Fate of Atlantis (Demo)"},

	/* Scumm Version 6 */
	{"tentacle", "Day Of The Tentacle"},
	{"dottdemo", "Day Of The Tentacle (Demo)"},
	{"samnmax", "Sam & Max"},
	{"snmdemo", "Sam & Max (Demo)"},

	/* Scumm Version 7 */
	{"ft", "Full Throttle"},
	{"dig", "The Dig"},

	/* Simon the Sorcerer 1 & 2 (not SCUMM games) */
	{"simon1dos", "Simon the Sorcerer 1 for DOS"},
	{"simon1win", "Simon the Sorcerer 1 for Windows"},
	{"simon2win", "Simon the Sorcerer 2 for Windows"},

	{NULL, NULL}
};


#endif
