/***************************************************************************
 *   Copyright (C) 2005 by Patrick Steiner                                 *
 *   patrick.steiner a1.net                                                *
 *   Copyright (C) Serdar Ozler (Scumm.QPE)                                *
 *   sozler@sitebest.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <qmainwindow.h>
#include <qlistbox.h>
#include <qspinbox.h>
#include <qslider.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlabel.h>
#include <qstring.h>
#include <qlist.h>
#include <qfile.h>
#include <qtextstream.h>
#include <qmultilineedit.h>
#include <qlayout.h>

struct configOption
{
  QString domain, key, value;
};

class MainWindow: public QMainWindow
{
  Q_OBJECT

  // QT objects
  QListBox *listGames;
  QSpinBox *spinMusic, *spinSFX, *spinText;
  QSlider *sliderMusic, *sliderSFX, *sliderText;
  QCheckBox *checkSubtitles;
  QPushButton *buttonStart, *buttonExit;
  QTabWidget *tabs;
  QWidget *tabStart, *tabOptions, *tabOutput, *tabAbout;
  QLabel *label;
  QList<configOption> configuration;
  QMultiLineEdit *editOutput;
  QVBoxLayout *layout;

  // Functions
  void readConfiguration();
  void constructListGames();
  QString detectGameName(QString fileName);
  QString detectFileName(QString gameName);
  QString getOptionValue(QString domain, QString key, QString defaultValue);

  private slots:
    void clicked_Start();
    void highlighted_Games(const QString &gameName);

  public:
    MainWindow();
    ~MainWindow();
};

#endif
